Index: utils.c
===================================================================
--- utils.c	(revision 9962)
+++ utils.c	(working copy)
@@ -1675,14 +1675,15 @@
 	 * reallocate the buffer and return a message telling to retry.
 	 */
 	if (need > (*buf)->len && (max_len == 0 || (*buf)->len < max_len) ) {
+		int len = (*buf)->len;
 		if (max_len && max_len < need)	/* truncate as needed */
 			need = max_len;
 		else if (max_len == 0)	/* if unbounded, give more room for next time */
 			need += 16 + need/4;
 		if (0)	/* debugging */
-			ast_verbose("extend from %d to %d\n", (int)(*buf)->len, need);
+			ast_verbose("extend from %d to %d\n", len, need);
 		if (ast_str_make_space(buf, need)) {
-			ast_verbose("failed to extend from %d to %d\n", (int)(*buf)->len, need);
+			ast_verbose("failed to extend from %d to %d\n", len, need);
 			return AST_DYNSTR_BUILD_FAILED;
 		}
 		(*buf)->str[offset] = '\0';	/* Truncate the partial write. */
